Bug 241319 - Review Request: hotwire - Interactive hybrid text/graphical shell for developers and system administrators
Review Request: hotwire - Interactive hybrid text/graphical shell for develop...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Bowes
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-05-24 22:53 EDT by Colin Walters
Modified: 2016-01-12 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-29 09:19:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jbowes: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2007-05-24 22:53:29 EDT
Spec URL: http://submind.verbum.org/download/hotwire.spec
SRPM URL: http://submind.verbum.org/download/hotwire-0.450-1.src.rpm
Description: Interactive hybrid text/graphical shell for developers and system administrators
Comment 1 James Bowes 2007-05-25 10:27:13 EDT
Package Review

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [!] Package meets the Packaging Guidelines.
 [?] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on:
 [!] Rpmlint output:
    $ rpmlint ~/rpmbuild/SRPMS/hotwire-0.450-1.src.rpm 
    E: hotwire no-changelogname-tag
    W: hotwire redundant-prefix-tag
    W: hotwire setup-not-quiet
    E: hotwire no-cleaning-of-buildroot %install
    $ rpmlint ~/rpmbuild/RPMS/noarch/hotwire-0.450-1.noarch.rpm 
    W: hotwire no-documentation
    E: hotwire no-changelogname-tag

 [!] Package is not relocatable.
 [!] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL
 [!] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
 [!] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [!] Package must own all directories that it creates.
 [!] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [!] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] Package does not own files or directories owned by other packages.

=== Issues ===
1. name, version, and release macros will be defined by Name, Version,
   and Release fields, so you don't need to explicitly define them.
2. A more appropriate Group could be used.
3. BuildRoot should be chosen from one of the options in the packaging
4. Relocatable packages are discouraged, so Prefix can be ommitted.
5. Vendor should not be set.
6. COPYING and README should be included as docs
7. A changelog should be included in the spec file.
8. The package should include BuildRequires: python-devel
9. The BuildRequires: on pygtk2-devel is unnecessary
10. The package should require python.
11. The package should own hotwire and hotwire_ui python site-packages dirs.
12. The python sitelib macro could be used, as described here:

Please fix the above issues.
Comment 2 Colin Walters 2007-05-25 14:28:53 EDT
Awesome, thanks a lot for the review.  Looking at this I realized I uploaded a
much older, broken version of the spec file; some of this was already fixed.
I just now fixed the rest of these issues I believe.

Except - do I really need to require python if I'm already requiring pygtk?

New versions uploaded, if you could take a look again I'd appreciate a ton.  Thanks!
Comment 3 James Bowes 2007-05-25 15:08:19 EDT
Everything looks great. The only minor issue is that the desktop file uses the
deprecated 'Application' category. As far as requiring python goes, I mentioned
it because hotwire does install into dirs owned by python, but I'll leave the
choice to you.

So, barring the desktop file issue, this package is approved
Comment 4 Colin Walters 2007-05-25 15:17:55 EDT
New Package CVS Request
Package Name: hotwire
Short Description: Interactive hybrid text/graphical shell for developers and
system administrators
Owners: walters@redhat.com
Branches: FC-6 FC-7
Comment 5 Tom "spot" Callaway 2007-05-25 16:24:31 EDT
cvs done.
Comment 6 Colin Walters 2008-02-05 18:34:30 EST
Package Change Request
Package Name: hotwire
New Branches: EL-5
Comment 7 Kevin Fenzi 2008-02-05 19:52:45 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.